package com.goldenwater.slaj.eme.service;

import java.util.List;
import com.goldenwater.slaj.eme.domain.BusiPlanDisclosure;

/**
 * 预案信息公开 服务层
 */
public interface IBusiPlanDisclosureService {

    /**
     * 查询预案信息公开
     * @param guid 查询条件
     * @return 预案信息公开
     */
    BusiPlanDisclosure selectBusiPlanDisclosureByGuid(String guid);

    /**
     * 查询预案信息公开列表
     * @param busiPlanDisclosure 查询条件
     * @return 预案信息公开集合
     */
    List<BusiPlanDisclosure> selectBusiPlanDisclosureList(BusiPlanDisclosure busiPlanDisclosure);

    /**
     * 新增预案信息公开
     * @param busiPlanDisclosure 预案信息公开
     * @return 影响行数
     */
    int insertBusiPlanDisclosure(BusiPlanDisclosure busiPlanDisclosure);

    /**
     * 修改预案信息公开
     * @param busiPlanDisclosure 预案信息公开
     * @return 影响行数
     */
    int updateBusiPlanDisclosure(BusiPlanDisclosure busiPlanDisclosure);

    /**
     * 删除预案信息公开
     * @param guid 主键
     * @return 影响行数
     */
    int deleteBusiPlanDisclosureByGuid(String guid);

    /**
     * 批量删除预案信息公开
     * @param guids 主键数组
     * @return 影响行数
     */
    int deleteBusiPlanDisclosureByGuids(String[] guids);
}
